com.vuze.plugins.mlab.tools.ndt.swingemu

## Class JOptionPane

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.JOptionPane

-     public class JOptionPane
      extends Object

  Emulation of javax.swing.JOptionPane for the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of standard dialog boxes to allow the NDT tool to run in headless environments. All dialog methods are no-ops that silently discard messages, maintaining API compatibility without requiring an actual graphical display system.

  This allows the NDT tool to display informational messages without interrupting execution in server or headless environments.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INFORMATION_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JOptionPane()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `showMessageDialog(Object wha, String str)`
    `static void` | `showMessageDialog(Object wha, String str1, String str2, int a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFORMATION_MESSAGE

          public static final int INFORMATION_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JOptionPane

          public JOptionPane()

  - ### Method Detail

    - #### showMessageDialog

          public static void showMessageDialog(Object wha,
                                               String str)

    - #### showMessageDialog

          public static void showMessageDialog(Object wha,
                                               String str1,
                                               String str2,
                                               int a)